/*
 * Copyright (c) 2023 New Vector Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.element.android.features.messages.impl.forward

import io.element.android.libraries.matrix.api.roomlist.RoomSummaryDetails

sealed interface ForwardMessagesEvents {
    data class SetSelectedRoom(val room: RoomSummaryDetails) : ForwardMessagesEvents
    // TODO remove to restore multi-selection
    data object RemoveSelectedRoom : ForwardMessagesEvents
    data object ToggleSearchActive : ForwardMessagesEvents
    data class UpdateQuery(val query: String) : ForwardMessagesEvents
    data object ForwardEvent : ForwardMessagesEvents
    data object ClearError : ForwardMessagesEvents
}
