/*
 * Copyright (c) 2023 New Vector Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.element.android.libraries.theme.colors

import io.element.android.libraries.theme.compound.generated.internal.DarkDesignTokens

/**
 * Avatar colors are not yet part of SemanticColors, so create list here.
 * DarkDesignTokens is internal to the module.
 */

val avatarColorsDark = listOf(
    DarkDesignTokens.colorBlue300 to DarkDesignTokens.colorBlue1200,
    DarkDesignTokens.colorFuchsia300 to DarkDesignTokens.colorFuchsia1200,
    DarkDesignTokens.colorGreen300 to DarkDesignTokens.colorGreen1200,
    DarkDesignTokens.colorPink300 to DarkDesignTokens.colorPink1200,
    DarkDesignTokens.colorOrange300 to DarkDesignTokens.colorOrange1200,
    DarkDesignTokens.colorCyan300 to DarkDesignTokens.colorCyan1200,
    DarkDesignTokens.colorPurple300 to DarkDesignTokens.colorPurple1200,
    DarkDesignTokens.colorLime300 to DarkDesignTokens.colorLime1200,
)
