/*
 * Copyright (c) 2023 New Vector Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.element.android.libraries.theme.colors

import io.element.android.libraries.theme.compound.generated.internal.LightDesignTokens

/**
 * Avatar colors are not yet part of SemanticColors, so create list here.
 * LightDesignTokens is internal to the module.
 */

val avatarColorsLight = listOf(
    LightDesignTokens.colorBlue300 to LightDesignTokens.colorBlue1200,
    LightDesignTokens.colorFuchsia300 to LightDesignTokens.colorFuchsia1200,
    LightDesignTokens.colorGreen300 to LightDesignTokens.colorGreen1200,
    LightDesignTokens.colorPink300 to LightDesignTokens.colorPink1200,
    LightDesignTokens.colorOrange300 to LightDesignTokens.colorOrange1200,
    LightDesignTokens.colorCyan300 to LightDesignTokens.colorCyan1200,
    LightDesignTokens.colorPurple300 to LightDesignTokens.colorPurple1200,
    LightDesignTokens.colorLime300 to LightDesignTokens.colorLime1200,
)
