/*
 * Copyright (c) 2023 New Vector Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


@file:Suppress("all")
package io.element.android.libraries.theme.compound.generated.internal

import androidx.compose.ui.graphics.Color

internal object DarkDesignTokens {
  val colorAlphaPink1400 = Color(0xffffebef)
  val colorAlphaPink1300 = Color(0xffffd1db)
  val colorAlphaPink1200 = Color(0xffffadc0)
  val colorAlphaPink1100 = Color(0xfffe86a4)
  val colorAlphaPink1000 = Color(0xfaff6691)
  val colorAlphaPink900 = Color(0xf5fe4382)
  val colorAlphaPink800 = Color(0xccfe1b79)
  val colorAlphaPink700 = Color(0x94fd1277)
  val colorAlphaPink600 = Color(0x75fb0473)
  val colorAlphaPink500 = Color(0xff6b0036)
  val colorAlphaPink400 = Color(0xff570024)
  val colorAlphaPink300 = Color(0xff470019)
  val colorAlphaPink200 = Color(0xff3d0012)
  val colorAlphaPink100 = Color(0xff38000f)
  val colorAlphaFuchsia1400 = Color(0xfafdecfe)
  val colorAlphaFuchsia1300 = Color(0xf2fde0ff)
  val colorAlphaFuchsia1200 = Color(0xe8fac3fe)
  val colorAlphaFuchsia1100 = Color(0xdbfaa4fe)
  val colorAlphaFuchsia1000 = Color(0xd4f790fe)
  val colorAlphaFuchsia900 = Color(0xccf172fd)
  val colorAlphaFuchsia800 = Color(0xb5eb44fd)
  val colorAlphaFuchsia700 = Color(0x8ad82ffe)
  val colorAlphaFuchsia600 = Color(0x70d21fff)
  val colorAlphaFuchsia500 = Color(0x61ca0aff)
  val colorAlphaFuchsia400 = Color(0xff45005c)
  val colorAlphaFuchsia300 = Color(0xff36004d)
  val colorAlphaFuchsia200 = Color(0xff2d0042)
  val colorAlphaFuchsia100 = Color(0xff28003d)
  val colorAlphaPurple1400 = Color(0xffeeebff)
  val colorAlphaPurple1300 = Color(0xffdfdbff)
  val colorAlphaPurple1200 = Color(0xffc7bdff)
  val colorAlphaPurple1100 = Color(0xffab9afe)
  val colorAlphaPurple1000 = Color(0xfca28bfe)
  val colorAlphaPurple900 = Color(0xfa9271fe)
  val colorAlphaPurple800 = Color(0xeb7f4dff)
  val colorAlphaPurple700 = Color(0xc2712bfd)
  val colorAlphaPurple600 = Color(0xab690dfd)
  val colorAlphaPurple500 = Color(0xff3d009e)
  val colorAlphaPurple400 = Color(0xff2d0080)
  val colorAlphaPurple300 = Color(0xff22006b)
  val colorAlphaPurple200 = Color(0xff1d005c)
  val colorAlphaPurple100 = Color(0xff1a0057)
  val colorAlphaBlue1400 = Color(0xffe6effe)
  val colorAlphaBlue1300 = Color(0xfccde1fe)
  val colorAlphaBlue1200 = Color(0xf7a3c8ff)
  val colorAlphaBlue1100 = Color(0xf57cb2fd)
  val colorAlphaBlue1000 = Color(0xf062a0fe)
  val colorAlphaBlue900 = Color(0xeb4491fd)
  val colorAlphaBlue800 = Color(0xd61077fe)
  val colorAlphaBlue700 = Color(0xa30665fe)
  val colorAlphaBlue600 = Color(0x87015afe)
  val colorAlphaBlue500 = Color(0xa1003cbd)
  val colorAlphaBlue400 = Color(0xff001e70)
  val colorAlphaBlue300 = Color(0xff001366)
  val colorAlphaBlue200 = Color(0xff00095c)
  val colorAlphaBlue100 = Color(0xff00055c)
  val colorAlphaCyan1400 = Color(0xf5e1fbfe)
  val colorAlphaCyan1300 = Color(0xebc9f7fd)
  val colorAlphaCyan1200 = Color(0xd98af1ff)
  val colorAlphaCyan1100 = Color(0xc926e7fd)
  val colorAlphaCyan1000 = Color(0xe000bfe0)
  val colorAlphaCyan900 = Color(0xff0091bd)
  val colorAlphaCyan800 = Color(0xe0007ebd)
  val colorAlphaCyan700 = Color(0xff00538a)
  val colorAlphaCyan600 = Color(0xff003f75)
  val colorAlphaCyan500 = Color(0xff003366)
  val colorAlphaCyan400 = Color(0xff00265c)
  val colorAlphaCyan300 = Color(0xff001b4d)
  val colorAlphaCyan200 = Color(0xff001447)
  val colorAlphaCyan100 = Color(0xff001142)
  val colorAlphaGreen1400 = Color(0xf5e2fdf1)
  val colorAlphaGreen1300 = Color(0xe8c4fde2)
  val colorAlphaGreen1200 = Color(0xd486fdce)
  val colorAlphaGreen1100 = Color(0xbd26fdbc)
  val colorAlphaGreen1000 = Color(0xa61bfebd)
  val colorAlphaGreen900 = Color(0x9412fdbe)
  val colorAlphaGreen800 = Color(0xff007a62)
  val colorAlphaGreen700 = Color(0xff005c45)
  val colorAlphaGreen600 = Color(0xff004732)
  val colorAlphaGreen500 = Color(0xff003d29)
  val colorAlphaGreen400 = Color(0xff002e1b)
  val colorAlphaGreen300 = Color(0xff002412)
  val colorAlphaGreen200 = Color(0xff001f0e)
  val colorAlphaGreen100 = Color(0xff001f0c)
  val colorAlphaLime1400 = Color(0xf7e1fdd8)
  val colorAlphaLime1300 = Color(0xebc3ffad)
  val colorAlphaLime1200 = Color(0xd68dff5c)
  val colorAlphaLime1100 = Color(0xbd71fd35)
  val colorAlphaLime1000 = Color(0xa860fc2c)
  val colorAlphaLime900 = Color(0x9454fd26)
  val colorAlphaLime800 = Color(0x732dfd0d)
  val colorAlphaLime700 = Color(0xff005c00)
  val colorAlphaLime600 = Color(0xff004d00)
  val colorAlphaLime500 = Color(0xff003d00)
  val colorAlphaLime400 = Color(0xff002e00)
  val colorAlphaLime300 = Color(0xff002900)
  val colorAlphaLime200 = Color(0xff001f00)
  val colorAlphaLime100 = Color(0xff001a00)
  val colorAlphaYellow1400 = Color(0xffffedb3)
  val colorAlphaYellow1300 = Color(0xfffeda58)
  val colorAlphaYellow1200 = Color(0xf0fdc50d)
  val colorAlphaYellow1100 = Color(0xffdba100)
  val colorAlphaYellow1000 = Color(0xffcc8b00)
  val colorAlphaYellow900 = Color(0xffbd7b00)
  val colorAlphaYellow800 = Color(0xff9e5c00)
  val colorAlphaYellow700 = Color(0xeb854200)
  val colorAlphaYellow600 = Color(0xde753300)
  val colorAlphaYellow500 = Color(0xff5c2300)
  val colorAlphaYellow400 = Color(0xff4d1400)
  val colorAlphaYellow300 = Color(0xff420900)
  val colorAlphaYellow200 = Color(0xff380300)
  val colorAlphaYellow100 = Color(0xff380000)
  val colorAlphaOrange1400 = Color(0xffffeadb)
  val colorAlphaOrange1300 = Color(0xffffd4b8)
  val colorAlphaOrange1200 = Color(0xfcfdb781)
  val colorAlphaOrange1100 = Color(0xf7fd953f)
  val colorAlphaOrange1000 = Color(0xebfe8310)
  val colorAlphaOrange900 = Color(0xd9fe740b)
  val colorAlphaOrange800 = Color(0xb5ff5900)
  val colorAlphaOrange700 = Color(0xbdc72800)
  val colorAlphaOrange600 = Color(0xff850400)
  val colorAlphaOrange500 = Color(0xff700000)
  val colorAlphaOrange400 = Color(0xff570000)
  val colorAlphaOrange300 = Color(0xff470000)
  val colorAlphaOrange200 = Color(0xff3d0000)
  val colorAlphaOrange100 = Color(0xff380000)
  val colorAlphaRed1400 = Color(0xffffe8e5)
  val colorAlphaRed1300 = Color(0xffffd3cc)
  val colorAlphaRed1200 = Color(0xffffaea3)
  val colorAlphaRed1100 = Color(0xffff857a)
  val colorAlphaRed1000 = Color(0xffff645c)
  val colorAlphaRed900 = Color(0xfffd3d3a)
  val colorAlphaRed800 = Color(0xcffe2530)
  val colorAlphaRed700 = Color(0x99fe0b24)
  val colorAlphaRed600 = Color(0xff850009)
  val colorAlphaRed500 = Color(0xff700000)
  val colorAlphaRed400 = Color(0xff5c0000)
  val colorAlphaRed300 = Color(0xff470000)
  val colorAlphaRed200 = Color(0xff3d0000)
  val colorAlphaRed100 = Color(0xff380000)
  val colorAlphaGray1400 = Color(0xf2f6f9fe)
  val colorAlphaGray1300 = Color(0xe3f2f7fd)
  val colorAlphaGray1200 = Color(0xc9edf4fc)
  val colorAlphaGray1100 = Color(0xade7f0fe)
  val colorAlphaGray1000 = Color(0x9ce1eefe)
  val colorAlphaGray900 = Color(0x8ae1effe)
  val colorAlphaGray800 = Color(0x69e0edff)
  val colorAlphaGray700 = Color(0x45e7f1fd)
  val colorAlphaGray600 = Color(0x33eceff8)
  val colorAlphaGray500 = Color(0x26f4f7fa)
  val colorAlphaGray400 = Color(0x1aede7f4)
  val colorAlphaGray300 = Color(0x0fe9dbf0)
  val colorAlphaGray200 = Color(0x0ad9c3df)
  val colorAlphaGray100 = Color(0x05d8dbdf)
  val colorPink1400 = Color(0xffffe8ed)
  val colorPink1300 = Color(0xffffd2dc)
  val colorPink1200 = Color(0xffffabbe)
  val colorPink1100 = Color(0xfffe84a2)
  val colorPink1000 = Color(0xfffa658f)
  val colorPink900 = Color(0xfff4427d)
  val colorPink800 = Color(0xffce1865)
  val colorPink700 = Color(0xff99114f)
  val colorPink600 = Color(0xff7c0c41)
  val colorPink500 = Color(0xff6d0036)
  val colorPink400 = Color(0xff550024)
  val colorPink300 = Color(0xff450018)
  val colorPink200 = Color(0xff3c0012)
  val colorPink100 = Color(0xff37000f)
  val colorFuchsia1400 = Color(0xfff8e9f9)
  val colorFuchsia1300 = Color(0xfff1d4f3)
  val colorFuchsia1200 = Color(0xffe5b1e9)
  val colorFuchsia1100 = Color(0xffd991de)
  val colorFuchsia1000 = Color(0xffcf78d7)
  val colorFuchsia900 = Color(0xffc560cf)
  val colorFuchsia800 = Color(0xffaa36ba)
  val colorFuchsia700 = Color(0xff7d2394)
  val colorFuchsia600 = Color(0xff65177d)
  val colorFuchsia500 = Color(0xff560f6f)
  val colorFuchsia400 = Color(0xff46005e)
  val colorFuchsia300 = Color(0xff37004e)
  val colorFuchsia200 = Color(0xff2e0044)
  val colorFuchsia100 = Color(0xff28003d)
  val colorPurple1400 = Color(0xffeeebff)
  val colorPurple1300 = Color(0xffdedaff)
  val colorPurple1200 = Color(0xffc4baff)
  val colorPurple1100 = Color(0xffad9cfe)
  val colorPurple1000 = Color(0xff9e87fc)
  val colorPurple900 = Color(0xff9171f9)
  val colorPurple800 = Color(0xff7849ec)
  val colorPurple700 = Color(0xff5a27c6)
  val colorPurple600 = Color(0xff4a0db1)
  val colorPurple500 = Color(0xff3d009e)
  val colorPurple400 = Color(0xff2c0080)
  val colorPurple300 = Color(0xff22006a)
  val colorPurple200 = Color(0xff1c005a)
  val colorPurple100 = Color(0xff1a0055)
  val colorBlue1400 = Color(0xffe4eefe)
  val colorBlue1300 = Color(0xffcbdffc)
  val colorBlue1200 = Color(0xffa1c4f8)
  val colorBlue1100 = Color(0xff7aacf4)
  val colorBlue1000 = Color(0xff5e99f0)
  val colorBlue900 = Color(0xff4187eb)
  val colorBlue800 = Color(0xff0e67d9)
  val colorBlue700 = Color(0xff0b49ab)
  val colorBlue600 = Color(0xff083891)
  val colorBlue500 = Color(0xff062d80)
  val colorBlue400 = Color(0xff001e6f)
  val colorBlue300 = Color(0xff001264)
  val colorBlue200 = Color(0xff00095d)
  val colorBlue100 = Color(0xff00055a)
  val colorCyan1400 = Color(0xffdbf2f5)
  val colorCyan1300 = Color(0xffb8e5eb)
  val colorCyan1200 = Color(0xff78d0dc)
  val colorCyan1100 = Color(0xff21bacd)
  val colorCyan1000 = Color(0xff02a7c6)
  val colorCyan900 = Color(0xff0093be)
  val colorCyan800 = Color(0xff0271aa)
  val colorCyan700 = Color(0xff005188)
  val colorCyan600 = Color(0xff003f75)
  val colorCyan500 = Color(0xff003468)
  val colorCyan400 = Color(0xff002559)
  val colorCyan300 = Color(0xff001b4e)
  val colorCyan200 = Color(0xff001448)
  val colorCyan100 = Color(0xff001144)
  val colorGreen1400 = Color(0xffd9f4e7)
  val colorGreen1300 = Color(0xffb5e8d1)
  val colorGreen1200 = Color(0xff72d5ae)
  val colorGreen1100 = Color(0xff1fc090)
  val colorGreen1000 = Color(0xff17ac84)
  val colorGreen900 = Color(0xff129a78)
  val colorGreen800 = Color(0xff007a62)
  val colorGreen700 = Color(0xff005a43)
  val colorGreen600 = Color(0xff004832)
  val colorGreen500 = Color(0xff003d29)
  val colorGreen400 = Color(0xff002e1b)
  val colorGreen300 = Color(0xff002513)
  val colorGreen200 = Color(0xff001f0e)
  val colorGreen100 = Color(0xff001c0b)
  val colorLime1400 = Color(0xffdaf6d0)
  val colorLime1300 = Color(0xffb6eca3)
  val colorLime1200 = Color(0xff77d94f)
  val colorLime1100 = Color(0xff56c02c)
  val colorLime1000 = Color(0xff47ad26)
  val colorLime900 = Color(0xff389b20)
  val colorLime800 = Color(0xff1d7c13)
  val colorLime700 = Color(0xff005c00)
  val colorLime600 = Color(0xff004a00)
  val colorLime500 = Color(0xff003e00)
  val colorLime400 = Color(0xff003000)
  val colorLime300 = Color(0xff002600)
  val colorLime200 = Color(0xff002000)
  val colorLime100 = Color(0xff001b00)
  val colorYellow1400 = Color(0xffffedb1)
  val colorYellow1300 = Color(0xfffedb58)
  val colorYellow1200 = Color(0xffefbb0b)
  val colorYellow1100 = Color(0xffdb9f00)
  val colorYellow1000 = Color(0xffcc8c00)
  val colorYellow900 = Color(0xffbc7a00)
  val colorYellow800 = Color(0xff9d5b00)
  val colorYellow700 = Color(0xff7c3e02)
  val colorYellow600 = Color(0xff682e03)
  val colorYellow500 = Color(0xff5c2400)
  val colorYellow400 = Color(0xff4c1400)
  val colorYellow300 = Color(0xff410900)
  val colorYellow200 = Color(0xff3a0300)
  val colorYellow100 = Color(0xff360000)
  val colorOrange1400 = Color(0xffffeadb)
  val colorOrange1300 = Color(0xffffd5b9)
  val colorOrange1200 = Color(0xfffbb37e)
  val colorOrange1100 = Color(0xfff6913d)
  val colorOrange1000 = Color(0xffeb7a12)
  val colorOrange900 = Color(0xffda670d)
  val colorOrange800 = Color(0xffb94607)
  val colorOrange700 = Color(0xff972206)
  val colorOrange600 = Color(0xff830500)
  val colorOrange500 = Color(0xff710000)
  val colorOrange400 = Color(0xff580000)
  val colorOrange300 = Color(0xff470000)
  val colorOrange200 = Color(0xff3c0000)
  val colorOrange100 = Color(0xff380000)
  val colorRed1400 = Color(0xffffe9e6)
  val colorRed1300 = Color(0xffffd4cd)
  val colorRed1200 = Color(0xffffaea4)
  val colorRed1100 = Color(0xffff877c)
  val colorRed1000 = Color(0xffff665d)
  val colorRed900 = Color(0xfffd3e3c)
  val colorRed800 = Color(0xffd1212a)
  val colorRed700 = Color(0xff9f0d1e)
  val colorRed600 = Color(0xff830009)
  val colorRed500 = Color(0xff710000)
  val colorRed400 = Color(0xff590000)
  val colorRed300 = Color(0xff470000)
  val colorRed200 = Color(0xff3e0000)
  val colorRed100 = Color(0xff370000)
  val colorGray1400 = Color(0xffebeef2)
  val colorGray1300 = Color(0xffd9dee4)
  val colorGray1200 = Color(0xffbdc3cc)
  val colorGray1100 = Color(0xffa3aab4)
  val colorGray1000 = Color(0xff9199a4)
  val colorGray900 = Color(0xff808994)
  val colorGray800 = Color(0xff656c76)
  val colorGray700 = Color(0xff4a4f55)
  val colorGray600 = Color(0xff3c3f44)
  val colorGray500 = Color(0xff323539)
  val colorGray400 = Color(0xff26282d)
  val colorGray300 = Color(0xff1d1f24)
  val colorGray200 = Color(0xff181a1f)
  val colorGray100 = Color(0xff14171b)
  val colorThemeBg = Color(0xff101317)
  val colorBgSubtleSecondaryLevel0 = colorThemeBg
  val colorBgCanvasDefaultLevel1 = colorGray300
}
