/*
 * Copyright (c) 2023 New Vector Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


@file:Suppress("all")
package io.element.android.libraries.theme.compound.generated.internal;

import androidx.compose.ui.graphics.Color

internal object LightDesignTokens {
  val colorAlphaPink1400 = Color(0xff420017)
  val colorAlphaPink1300 = Color(0xff61002c)
  val colorAlphaPink1200 = Color(0xfa79013d)
  val colorAlphaPink1100 = Color(0xf79e004c)
  val colorAlphaPink1000 = Color(0xf7b60256)
  val colorAlphaPink900 = Color(0xf5cf025e)
  val colorAlphaPink800 = Color(0xbff50052)
  val colorAlphaPink700 = Color(0x78ff0040)
  val colorAlphaPink600 = Color(0x54ff053f)
  val colorAlphaPink500 = Color(0x3dff0037)
  val colorAlphaPink400 = Color(0x21ff0037)
  val colorAlphaPink300 = Color(0x14ff1447)
  val colorAlphaPink200 = Color(0x0aff0537)
  val colorAlphaPink100 = Color(0x05ff0537)
  val colorAlphaFuchsia1400 = Color(0xff34004d)
  val colorAlphaFuchsia1300 = Color(0xff4d0066)
  val colorAlphaFuchsia1200 = Color(0xed5d0279)
  val colorAlphaFuchsia1100 = Color(0xe073038c)
  val colorAlphaFuchsia1000 = Color(0xd6820198)
  val colorAlphaFuchsia900 = Color(0xcc9900ad)
  val colorAlphaFuchsia800 = Color(0xa3ab03ba)
  val colorAlphaFuchsia700 = Color(0x6eaa04b9)
  val colorAlphaFuchsia600 = Color(0x4fb207bb)
  val colorAlphaFuchsia500 = Color(0x3bb407c0)
  val colorAlphaFuchsia400 = Color(0x21bd09c3)
  val colorAlphaFuchsia300 = Color(0x12b60cc6)
  val colorAlphaFuchsia200 = Color(0x0ab505cc)
  val colorAlphaFuchsia100 = Color(0x05cc05cc)
  val colorAlphaPurple1400 = Color(0xff200066)
  val colorAlphaPurple1300 = Color(0xff34008f)
  val colorAlphaPurple1200 = Color(0xfc4a02b6)
  val colorAlphaPurple1100 = Color(0xdb4303c4)
  val colorAlphaPurple1000 = Color(0xc94502d4)
  val colorAlphaPurple900 = Color(0xba4902ed)
  val colorAlphaPurple800 = Color(0x8f3b01f9)
  val colorAlphaPurple700 = Color(0x613305ff)
  val colorAlphaPurple600 = Color(0x452b05ff)
  val colorAlphaPurple500 = Color(0x332605ff)
  val colorAlphaPurple400 = Color(0x1f2f0fff)
  val colorAlphaPurple300 = Color(0x12381aff)
  val colorAlphaPurple200 = Color(0x0a5338ff)
  val colorAlphaPurple100 = Color(0x053838ff)
  val colorAlphaBlue1400 = Color(0xff000e66)
  val colorAlphaBlue1300 = Color(0xff012579)
  val colorAlphaBlue1200 = Color(0xfc013693)
  val colorAlphaBlue1100 = Color(0xfa0148b2)
  val colorAlphaBlue1000 = Color(0xfc0256c5)
  val colorAlphaBlue900 = Color(0xfc0165df)
  val colorAlphaBlue800 = Color(0xbf0062eb)
  val colorAlphaBlue700 = Color(0x820264ed)
  val colorAlphaBlue600 = Color(0x5e0663ef)
  val colorAlphaBlue500 = Color(0x47096cf6)
  val colorAlphaBlue400 = Color(0x290b6af9)
  val colorAlphaBlue300 = Color(0x170a70ff)
  val colorAlphaBlue200 = Color(0x0d2474ff)
  val colorAlphaBlue100 = Color(0x08389cff)
  val colorAlphaCyan1400 = Color(0xff001a52)
  val colorAlphaCyan1300 = Color(0xff002c61)
  val colorAlphaCyan1200 = Color(0xff003f75)
  val colorAlphaCyan1100 = Color(0xff00568f)
  val colorAlphaCyan1000 = Color(0xff00649e)
  val colorAlphaCyan900 = Color(0xff0074ad)
  val colorAlphaCyan800 = Color(0xff0095c2)
  val colorAlphaCyan700 = Color(0xeb01b7cb)
  val colorAlphaCyan600 = Color(0x8a01aac1)
  val colorAlphaCyan500 = Color(0x6605abbd)
  val colorAlphaCyan400 = Color(0x3800aabd)
  val colorAlphaCyan300 = Color(0x1c00a8c2)
  val colorAlphaCyan200 = Color(0x0f16abbb)
  val colorAlphaCyan100 = Color(0x0816bbbb)
  val colorAlphaGreen1400 = Color(0xff002411)
  val colorAlphaGreen1300 = Color(0xff00331f)
  val colorAlphaGreen1200 = Color(0xff004732)
  val colorAlphaGreen1100 = Color(0xff005c45)
  val colorAlphaGreen1000 = Color(0xff006b52)
  val colorAlphaGreen900 = Color(0xff007a62)
  val colorAlphaGreen800 = Color(0xff009975)
  val colorAlphaGreen700 = Color(0xf501c18a)
  val colorAlphaGreen600 = Color(0x8f01b76e)
  val colorAlphaGreen500 = Color(0x6904b96a)
  val colorAlphaGreen400 = Color(0x3b07b661)
  val colorAlphaGreen300 = Color(0x1c00b85c)
  val colorAlphaGreen200 = Color(0x0f16bb69)
  val colorAlphaGreen100 = Color(0x0816bb79)
  val colorAlphaLime1400 = Color(0xff002400)
  val colorAlphaLime1300 = Color(0xff003800)
  val colorAlphaLime1200 = Color(0xff004d00)
  val colorAlphaLime1100 = Color(0xff006100)
  val colorAlphaLime1000 = Color(0xff007000)
  val colorAlphaLime900 = Color(0xf5107902)
  val colorAlphaLime800 = Color(0xe8209301)
  val colorAlphaLime700 = Color(0xdb39bd00)
  val colorAlphaLime600 = Color(0xb540ce03)
  val colorAlphaLime500 = Color(0x8237ca02)
  val colorAlphaLime400 = Color(0x473ace09)
  val colorAlphaLime300 = Color(0x262ecf02)
  val colorAlphaLime200 = Color(0x1238d40c)
  val colorAlphaLime100 = Color(0x0a4fcd1d)
  val colorAlphaYellow1400 = Color(0xff420700)
  val colorAlphaYellow1300 = Color(0xff571b00)
  val colorAlphaYellow1200 = Color(0xff6b2e00)
  val colorAlphaYellow1100 = Color(0xff804000)
  val colorAlphaYellow1000 = Color(0xff8f4c00)
  val colorAlphaYellow900 = Color(0xff9e5a00)
  val colorAlphaYellow800 = Color(0xffbd7b00)
  val colorAlphaYellow700 = Color(0xffe0a500)
  val colorAlphaYellow600 = Color(0xfff0bc00)
  val colorAlphaYellow500 = Color(0xfffacc00)
  val colorAlphaYellow400 = Color(0x7dffc905)
  val colorAlphaYellow300 = Color(0x40ffc905)
  val colorAlphaYellow200 = Color(0x21ffc70f)
  val colorAlphaYellow100 = Color(0x0fffcd05)
  val colorAlphaOrange1400 = Color(0xff470000)
  val colorAlphaOrange1300 = Color(0xff610000)
  val colorAlphaOrange1200 = Color(0xff850000)
  val colorAlphaOrange1100 = Color(0xff992100)
  val colorAlphaOrange1000 = Color(0xffad3400)
  val colorAlphaOrange900 = Color(0xffbd4500)
  val colorAlphaOrange800 = Color(0xffdb6600)
  val colorAlphaOrange700 = Color(0xbff56e00)
  val colorAlphaOrange600 = Color(0x85fc6f03)
  val colorAlphaOrange500 = Color(0x5eff6a00)
  val colorAlphaOrange400 = Color(0x38ff6d05)
  val colorAlphaOrange300 = Color(0x1cff6c0a)
  val colorAlphaOrange200 = Color(0x12ff7d1a)
  val colorAlphaOrange100 = Color(0x0aff8138)
  val colorAlphaRed1400 = Color(0xff470000)
  val colorAlphaRed1300 = Color(0xff610000)
  val colorAlphaRed1200 = Color(0xff850007)
  val colorAlphaRed1100 = Color(0xfca2011c)
  val colorAlphaRed1000 = Color(0xf2bb0217)
  val colorAlphaRed900 = Color(0xe8cf0213)
  val colorAlphaRed800 = Color(0xc4ff0505)
  val colorAlphaRed700 = Color(0x80ff1a05)
  val colorAlphaRed600 = Color(0x5cff2205)
  val colorAlphaRed500 = Color(0x45ff2605)
  val colorAlphaRed400 = Color(0x26ff2b0a)
  val colorAlphaRed300 = Color(0x14ff3814)
  val colorAlphaRed200 = Color(0x0aff391f)
  val colorAlphaRed100 = Color(0x08ff5938)
  val colorAlphaGray1400 = Color(0xe6020408)
  val colorAlphaGray1300 = Color(0xd603050c)
  val colorAlphaGray1200 = Color(0xc402070d)
  val colorAlphaGray1100 = Color(0xb5030b16)
  val colorAlphaGray1000 = Color(0xa8030c1b)
  val colorAlphaGray900 = Color(0x9c031021)
  val colorAlphaGray800 = Color(0x8003152b)
  val colorAlphaGray700 = Color(0x59011532)
  val colorAlphaGray600 = Color(0x42011d3c)
  val colorAlphaGray500 = Color(0x33052448)
  val colorAlphaGray400 = Color(0x1f052e61)
  val colorAlphaGray300 = Color(0x0f052657)
  val colorAlphaGray200 = Color(0x0a366881)
  val colorAlphaGray100 = Color(0x0536699b)
  val colorPink1400 = Color(0xff430017)
  val colorPink1300 = Color(0xff5f002b)
  val colorPink1200 = Color(0xff7e0642)
  val colorPink1100 = Color(0xff9f0850)
  val colorPink1000 = Color(0xffb80a5b)
  val colorPink900 = Color(0xffd20c65)
  val colorPink800 = Color(0xfff7407d)
  val colorPink700 = Color(0xffff88a6)
  val colorPink600 = Color(0xffffadc0)
  val colorPink500 = Color(0xffffc2cf)
  val colorPink400 = Color(0xffffdee5)
  val colorPink300 = Color(0xffffecf0)
  val colorPink200 = Color(0xfffff5f7)
  val colorPink100 = Color(0xfffffafb)
  val colorFuchsia1400 = Color(0xff34004c)
  val colorFuchsia1300 = Color(0xff4e0068)
  val colorFuchsia1200 = Color(0xff671481)
  val colorFuchsia1100 = Color(0xff822198)
  val colorFuchsia1000 = Color(0xff972aaa)
  val colorFuchsia900 = Color(0xffad33bd)
  val colorFuchsia800 = Color(0xffc85ed1)
  val colorFuchsia700 = Color(0xffdb93e1)
  val colorFuchsia600 = Color(0xffe7b2ea)
  val colorFuchsia500 = Color(0xffedc6f0)
  val colorFuchsia400 = Color(0xfff6dff7)
  val colorFuchsia300 = Color(0xfffaeefb)
  val colorFuchsia200 = Color(0xfffcf5fd)
  val colorFuchsia100 = Color(0xfffefafe)
  val colorPurple1400 = Color(0xff200066)
  val colorPurple1300 = Color(0xff33008d)
  val colorPurple1200 = Color(0xff4c05b5)
  val colorPurple1100 = Color(0xff5d26cd)
  val colorPurple1000 = Color(0xff6b37de)
  val colorPurple900 = Color(0xff7a47f1)
  val colorPurple800 = Color(0xff9271fd)
  val colorPurple700 = Color(0xffb1a0ff)
  val colorPurple600 = Color(0xffc5bbff)
  val colorPurple500 = Color(0xffd4cdff)
  val colorPurple400 = Color(0xffe6e2ff)
  val colorPurple300 = Color(0xfff1efff)
  val colorPurple200 = Color(0xfff8f7ff)
  val colorPurple100 = Color(0xfffbfbff)
  val colorBlue1400 = Color(0xff000e65)
  val colorBlue1300 = Color(0xff012478)
  val colorBlue1200 = Color(0xff043894)
  val colorBlue1100 = Color(0xff064ab1)
  val colorBlue1000 = Color(0xff0558c7)
  val colorBlue900 = Color(0xff0467dd)
  val colorBlue800 = Color(0xff4088ee)
  val colorBlue700 = Color(0xff7eaff6)
  val colorBlue600 = Color(0xffa3c6fa)
  val colorBlue500 = Color(0xffbad5fc)
  val colorBlue400 = Color(0xffd8e7fe)
  val colorBlue300 = Color(0xffe9f2ff)
  val colorBlue200 = Color(0xfff4f8ff)
  val colorBlue100 = Color(0xfff9fcff)
  val colorCyan1400 = Color(0xff00194f)
  val colorCyan1300 = Color(0xff002b61)
  val colorCyan1200 = Color(0xff004077)
  val colorCyan1100 = Color(0xff00548c)
  val colorCyan1000 = Color(0xff00629c)
  val colorCyan900 = Color(0xff0072ac)
  val colorCyan800 = Color(0xff0094c0)
  val colorCyan700 = Color(0xff15becf)
  val colorCyan600 = Color(0xff76d1dd)
  val colorCyan500 = Color(0xff9bdde5)
  val colorCyan400 = Color(0xffc7ecf0)
  val colorCyan300 = Color(0xffe3f5f8)
  val colorCyan200 = Color(0xfff1fafb)
  val colorCyan100 = Color(0xfff8fdfd)
  val colorGreen1400 = Color(0xff002311)
  val colorGreen1300 = Color(0xff003420)
  val colorGreen1200 = Color(0xff004933)
  val colorGreen1100 = Color(0xff005c45)
  val colorGreen1000 = Color(0xff006b52)
  val colorGreen900 = Color(0xff007a61)
  val colorGreen800 = Color(0xff009b78)
  val colorGreen700 = Color(0xff0bc491)
  val colorGreen600 = Color(0xff71d7ae)
  val colorGreen500 = Color(0xff98e1c1)
  val colorGreen400 = Color(0xffc6eedb)
  val colorGreen300 = Color(0xffe3f7ed)
  val colorGreen200 = Color(0xfff1fbf6)
  val colorGreen100 = Color(0xfff8fdfb)
  val colorLime1400 = Color(0xff002400)
  val colorLime1300 = Color(0xff003600)
  val colorLime1200 = Color(0xff004b00)
  val colorLime1100 = Color(0xff005f00)
  val colorLime1000 = Color(0xff006e00)
  val colorLime900 = Color(0xff197d0c)
  val colorLime800 = Color(0xff359d18)
  val colorLime700 = Color(0xff54c424)
  val colorLime600 = Color(0xff76db4c)
  val colorLime500 = Color(0xff99e57e)
  val colorLime400 = Color(0xffc8f1ba)
  val colorLime300 = Color(0xffe0f8d9)
  val colorLime200 = Color(0xfff1fcee)
  val colorLime100 = Color(0xfff8fdf6)
  val colorYellow1400 = Color(0xff410600)
  val colorYellow1300 = Color(0xff541a00)
  val colorYellow1200 = Color(0xff692e00)
  val colorYellow1100 = Color(0xff803f00)
  val colorYellow1000 = Color(0xff8f4d00)
  val colorYellow900 = Color(0xff9f5b00)
  val colorYellow800 = Color(0xffbe7a00)
  val colorYellow700 = Color(0xffdea200)
  val colorYellow600 = Color(0xfff1bd00)
  val colorYellow500 = Color(0xfffbce00)
  val colorYellow400 = Color(0xffffe484)
  val colorYellow300 = Color(0xfffff2c1)
  val colorYellow200 = Color(0xfffff8e0)
  val colorYellow100 = Color(0xfffffcf0)
  val colorOrange1400 = Color(0xff450000)
  val colorOrange1300 = Color(0xff620000)
  val colorOrange1200 = Color(0xff850000)
  val colorOrange1100 = Color(0xff9b2200)
  val colorOrange1000 = Color(0xffac3300)
  val colorOrange900 = Color(0xffbc4500)
  val colorOrange800 = Color(0xffdc6700)
  val colorOrange700 = Color(0xfff89440)
  val colorOrange600 = Color(0xfffdb37c)
  val colorOrange500 = Color(0xffffc8a1)
  val colorOrange400 = Color(0xffffdfc8)
  val colorOrange300 = Color(0xffffefe4)
  val colorOrange200 = Color(0xfffff6ef)
  val colorOrange100 = Color(0xfffffaf7)
  val colorRed1400 = Color(0xff450000)
  val colorRed1300 = Color(0xff620000)
  val colorRed1200 = Color(0xff850006)
  val colorRed1100 = Color(0xffa4041d)
  val colorRed1000 = Color(0xffbc0f22)
  val colorRed900 = Color(0xffd51928)
  val colorRed800 = Color(0xffff3d3d)
  val colorRed700 = Color(0xffff8c81)
  val colorRed600 = Color(0xffffafa5)
  val colorRed500 = Color(0xffffc5bc)
  val colorRed400 = Color(0xffffdfda)
  val colorRed300 = Color(0xffffefec)
  val colorRed200 = Color(0xfffff7f6)
  val colorRed100 = Color(0xfffffaf9)
  val colorGray1400 = Color(0xff1b1d22)
  val colorGray1300 = Color(0xff2b2d32)
  val colorGray1200 = Color(0xff3c4045)
  val colorGray1100 = Color(0xff4c5158)
  val colorGray1000 = Color(0xff595e67)
  val colorGray900 = Color(0xff656d77)
  val colorGray800 = Color(0xff818a95)
  val colorGray700 = Color(0xffa6adb7)
  val colorGray600 = Color(0xffbdc4cc)
  val colorGray500 = Color(0xffcdd3da)
  val colorGray400 = Color(0xffe1e6ec)
  val colorGray300 = Color(0xfff0f2f5)
  val colorGray200 = Color(0xfff7f9fa)
  val colorGray100 = Color(0xfffbfcfd)
  val colorThemeBg = Color(0xffffffff)
  val colorBgSubtleSecondaryLevel0 = colorGray300
  val colorBgCanvasDefaultLevel1 = colorThemeBg
}
